Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231237 - update problem - unresolvable conflict with kdemultimedia-extras-nonfree
Summary: update problem - unresolvable conflict with kdemultimedia-extras-nonfree
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdemultimedia-extras
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 22:10 UTC by Radek Bíba
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-07 15:35:21 UTC


Attachments (Terms of Use)

Description Radek Bíba 2007-03-06 22:10:07 UTC
Description of problem:
When updating a box, this became a showstopper:

Error: kdemultimedia-extras conflicts with kdemultimedia-extras-nonfree <
6:3.5.6-3

This is pretty interesting, because:
$ rpm -q kdemultimedia-extras-nonfree
kdemultimedia-extras-nonfree-3.5.6-3.lvn6

denotes that the installed version is NOT lower than 3.5.6-3. I don't know what
should be fixed here.

Version-Release number of selected component (if applicable):
kdemultimedia-extras-3.5.6-4.fc6

Comment 1 Kevin Kofler 2007-03-07 01:53:16 UTC
This is due to a wrong epoch in the Conflicts tag. The Conflicts lists epoch 6, 
whereas kdemultimedia-extras-nonfree-3.5.6-3.lvn6 actually has no epoch (which 
is essentially the same as epoch 0). 0:3.5.6-3.lvn6 < 6:3.5.6-3, thus the 
problem. Either the Conflicts needs to be fixed, or the epoch of 
kdemultimedia-extras-nonfree needs to be bumped to 6 to match the other 
packages.

Comment 2 Rex Dieter 2007-03-07 01:56:24 UTC
Thanks Kevin, fixing asap.

Comment 3 Rex Dieter 2007-03-07 15:35:21 UTC
Looks like Michael caught it before I got to it, thanks.

* Wed Mar  7 2007 Michael Schwendt <mschwendt[AT]users.sf.net> 6:3.5.6-5
- fix the fatal "Conflicts" with kdemultimedia-extras-nonfree, which
  breaks upgrades - the package does not have Epoch 6



Comment 4 Radek Bíba 2007-03-08 22:56:43 UTC
Yeah, everything is OK now. Thanks!
(and you're right, no kittens were harmed :) )


Note You need to log in before you can comment on or make changes to this bug.